Package org.gradle.api.plugins

# Class JvmEcosystemPlugin

java.lang.Object
org.gradle.api.plugins.JvmEcosystemPlugin

All Implemented Interfaces:
  `Plugin<Project>`

public abstract class JvmEcosystemPlugin extends Object implements Plugin<Project>
A base plugin for projects working in a JVM world. This plugin will configure the JVM attributes schema, setup resolution rules and create the source set container.

Since:
  6.7
See Also:
  - Java plugin reference

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JvmEcosystemPlugin(ObjectFactory objectFactory, SourceSetContainer sourceSets)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JvmEcosystemPlugin

    @Inject public JvmEcosystemPlugin(ObjectFactory objectFactory, SourceSetContainer sourceSets)

- ## Method Details

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object